function [J, grad] = costFunction(theta, X, y)


m = length(y); 



J = 0;
grad = zeros(size(theta));
z = X*theta;

g = 1 ./ (1 + exp(-(z)));

J = (-1/m) * sum( ((y).*log(g)) + ((1-y).*log(1-g)) );

grad1 = sum((g-y).*X);
grad = (1/m).*grad1';



end
